path: /build/build/telegram-desktop-bin-net-im-4.16.8.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} net-im/telegram-desktop-bin -pv -t && \
    emerge -j ${JOBS} --nodeps net-im/telegram-desktop-bin
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/telegram-desktop-bin && luet-portage
    --dir /pkgdir/telegram-desktop-bin net-im/telegram-desktop-bin && eval 'rm -v
    /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:110bc2e847448a2b9a8a528cbfd063b2b22321d1b6aa92ad5b9a8d95af66b1fe
  package:
    name: telegram-desktop-bin
    version: 4.16.8
    category: net-im
    requires:
    - name: macaroni-funtoo-race17
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Official desktop client for Telegram (binary package)
    uri:
    - https://desktop.telegram.org
    license: GPL-3-with-openssl-exception
    buildtimestamp: 2024-04-29 08:21:34.269423515 +0000 UTC m=+198.773077411
    labels:
      DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
      RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
        >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
      emerge.packages: net-im/telegram-desktop-bin
      kit: net-kit
      original.package.name: net-im/telegram-desktop-bin
      original.package.slot: "0"
      original.package.version: 4.16.8
    treedir: /build/packages
  package_dir: /pkgdir/telegram-desktop-bin
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 136c3dce159714d5930ae1508841635fb93ed9e7737be646a248d2cdb307b628
compressiontype: zstd
files:
- usr/bin/telegram-desktop
- usr/lib/telegram-desktop-bin/Telegram
- usr/share/applications/org.telegram.desktop.desktop
- usr/share/icons/hicolor/128x128/apps/telegram.png
- usr/share/icons/hicolor/16x16/apps/telegram.png
- usr/share/icons/hicolor/256x256/apps/telegram.png
- usr/share/icons/hicolor/32x32/apps/telegram.png
- usr/share/icons/hicolor/512x512/apps/telegram.png
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/BUILD_TIME
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CATEGORY
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CBUILD
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CHOST
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CONTENTS
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/COUNTER
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/CXXFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/DEFINED_PHASES
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/DEPEND
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/DESCRIPTION
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/EAPI
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/FEATURES
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/HOMEPAGE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/INHERITED
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/IUSE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/IUSE_EFFECTIVE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/KEYWORDS
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/LDFLAGS
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/LICENSE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/NEEDED
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/PF
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/RDEPEND
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/REQUIRES
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/SIZE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/SLOT
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/USE
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/environment.bz2
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/repository
- var/db/pkg/net-im/telegram-desktop-bin-4.16.8/telegram-desktop-bin-4.16.8.ebuild
package_cacheimage: ""
runtime:
  name: telegram-desktop-bin
  version: 4.16.8
  category: net-im
  requires:
  - name: gobject-introspection
    version: '>=0'
    category: dev-libs
  - name: fontconfig
    version: '>=0'
    category: media-libs-1.0
  - name: dbus
    version: '>=0'
    category: sys-apps
  - name: libX11
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Official desktop client for Telegram (binary package)
  uri:
  - https://desktop.telegram.org
  license: GPL-3-with-openssl-exception
  labels:
    DEPEND: dev-util/desktop-file-utils x11-misc/shared-mime-info
    RDEPEND: dev-libs/glib:2 dev-libs/gobject-introspection >=media-libs/fontconfig-2.13
      >=sys-apps/dbus-1.4.20 x11-libs/libX11 >=x11-libs/libxcb-1.10[xkb]
    emerge.packages: net-im/telegram-desktop-bin
    kit: net-kit
    original.package.name: net-im/telegram-desktop-bin
    original.package.slot: "0"
    original.package.version: 4.16.8
